# dkim_atps_check()

[back to index]

SYNOPSIS

    #include <dkim.h>
    DKIM_STAT dkim_atps_check(
    	DKIM *dkim,
    	DKIM_SIGINFO *sig,
            struct timeval *timeout,
            dkim_atps_t *res
    );

Perform an Authorized Third Party Signer query regarding a signature.

DESCRIPTION

Called When | `dkim_atps_check()` is called after `dkim_eom()` to check for Authorized Third Party Signer status for the signing domain. This involves a DNS query to the sender's domain to ask it if the domain that signed the message is an authorized third-party signer.

ARGUMENTS

Argument | Description
--- | ---
dkim | Message-specific handle, returned by `dkim_verify`.
sig | Signature handle naming the domain that is being tested for authorized third-party signer status.
timeout | A pointer to a `struct timeval` that tells this call how long it should wait for a reply. A value of NULL will use the default library DNS timeout.
res | A pointer to a `dkim_atps_t` that will receive the result of this query.

RETURN VALUES

Value | Description
--- | ---
`DKIM_STAT_CANTVRFY` | The query could not be initiated or completed.
`DKIM_STAT_MULTIPLEDNSREPLY` | More than one reply was returned.
`DKIM_STAT_OK` | Successful completion.

NOTES

- None.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2010, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.